Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditRoot

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenAuditRootImpl

    public interface GenAuditRoot

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Audit Root'.

The following features are supported:

- `Editor Gen`
- `Categories`
- `Rules`
- `Client Contexts`

See Also:
  `GMFGenPackage.getGenAuditRoot()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<GenAuditContainer>` `getCategories()` Returns the value of the 'Categories' containment reference list.
`org.eclipse.emf.common.util.EList<GenAuditContext>` `getClientContexts()` Returns the value of the 'Client Contexts' containment reference list.
`GenEditorGenerator` `getEditorGen()` Returns the value of the 'Editor Gen' container reference.
`org.eclipse.emf.common.util.EList<GenAuditRule>` `getRules()` Returns the value of the 'Rules' containment reference list.
`java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenPackage>` `getTargetedModelPackages()`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEditorGen

    GenEditorGenerator getEditorGen()

  Returns the value of the 'Editor Gen' container reference. It is bidirectional and its opposite is '`Audits`'.

  If the meaning of the 'Editor Gen' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor Gen' container reference.
  See Also:
    `GMFGenPackage.getGenAuditRoot_EditorGen()`, `GenEditorGenerator.getAudits()`
  ** Generated **
  Model:
    opposite="audits" resolveProxies="false" required="true" transient="false" changeable="false"

### getCategories

    org.eclipse.emf.common.util.EList<GenAuditContainer> getCategories()

  Returns the value of the 'Categories' containment reference list. The list contents are of type `GenAuditContainer`. It is bidirectional and its opposite is '`Root`'.

  If the meaning of the 'Categories' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Categories' containment reference list.
  See Also:
    `GMFGenPackage.getGenAuditRoot_Categories()`, `GenAuditContainer.getRoot()`
  ** Generated **
  Model:
    opposite="root" containment="true"

### getRules

    org.eclipse.emf.common.util.EList<GenAuditRule> getRules()

  Returns the value of the 'Rules' containment reference list. The list contents are of type `GenAuditRule`. It is bidirectional and its opposite is '`Root`'.

  If the meaning of the 'Rules' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Rules' containment reference list.
  See Also:
    `GMFGenPackage.getGenAuditRoot_Rules()`, `GenAuditRule.getRoot()`
  ** Generated **
  Model:
    opposite="root" containment="true"

### getClientContexts

    org.eclipse.emf.common.util.EList<GenAuditContext> getClientContexts()

  Returns the value of the 'Client Contexts' containment reference list. The list contents are of type `GenAuditContext`. It is bidirectional and its opposite is '`Root`'.

  If the meaning of the 'Client Contexts' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Client Contexts' containment reference list.
  See Also:
    `GMFGenPackage.getGenAuditRoot_ClientContexts()`, `GenAuditContext.getRoot()`
  ** Generated **
  Model:
    opposite="root" containment="true"

### getTargetedModelPackages

    java.util.List<org.eclipse.emf.codegen.ecore.genmodel.GenPackage> getTargetedModelPackages()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.